<?php
/************************************************************************
 * This file is part of EspoCRM.
 *
 * EspoCRM - Open Source CRM application.
 * Copyright (C) 2014  Yuri Kuznetsov, Taras Machyshyn, Oleksiy Avramenko
 * Website: http://www.espocrm.com
 *
 * EspoCRM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EspoCRM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EspoCRM. If not, see http://www.gnu.org/licenses/.
 ************************************************************************/

class AfterUpgrade
{
    protected $container;

    public function run($container)
    {
        $entityManager = $container->get('entityManager');
        $config = $container->get('config');

        $scheduledJob = $entityManager->getEntity('ScheduledJob');
        $scheduledJob->set(array(
            'name' => 'Auth Token Control',
            'job' => 'AuthTokenControl',
            'status' => 'Active',
            'scheduling' => '*/6 * * * *'
        ));
        $entityManager->saveEntity($scheduledJob);

        $loggerData = array(
            'rotation' => $config->get('logger.isRotate', true),
            'maxFileNumber' => $config->get('logger.maxRotateFiles', true),
            'path' => $config->get('logger.path', 'data/logs/espo.log'),
            'level' => $config->get('logger.level', 'WARNING'),
        );
        $config->set('logger', $loggerData);

        $config->set('authTokenLifetime', 0);
        $config->set('authTokenMaxIdleTime', 120);

        $config->save();
    }


}
